Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Juanma Barranquero <[email-masked]>
Date: Fri, 21 Sep 2012 01:22:19 +0200

On Tue, Sep 18, 2012 at 6:18 PM, Jörg Walter <[email-masked]> wrote:

> The linked list `image_types' grows without bounds because
> CHECK_LIB_AVAILABLE/define_image_type never checked if the given image type is
> already in `image_types'. My lisp code triggered tons of `Finit_image_library'
> calls. Since the list is searched linearly at some point, that explains the
> run-time impact.
>
> I have no idea what was originally supposed to ensure `image_types' doesn't
> include duplicate entries, so the patch may be way off... hope someone actually
> knows what is suppsed to go on there.

What kind of duplicate entries image_types had? Were they mostly (or
all) for pbm/xbm types?

    Juanma